Debian Bug report logs - #555213
ITA: bmon -- portable bandwidth monitor and rate estimator

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: bdefreese@debian.org

Date: Sun, 8 Nov 2009 23:42:01 UTC

Owned by: Dmitry Smirnov <onlyjob@member.fsf.org>

Severity: normal

Fixed in version bmon/3.0+git20110323-1

Done: Dmitry Smirnov <onlyjob@member.fsf.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Reto Schuettel <reto@schuettel.ch>:
Bug#555213; Package bmon. (Sun, 08 Nov 2009 23:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to bdefreese@debian.org:
New Bug report received and forwarded. Copy sent to Reto Schuettel <reto@schuettel.ch>. (Sun, 08 Nov 2009 23:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Barry deFreese <bdefreese@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bmon: Should this package be orphaned (or removed)?
Date: Sun, 08 Nov 2009 18:39:09 -0500
Package: bmon
Version: 2.0.1-3
Severity: important
User: debian-qa@lists.debian.org
Usertags: proposed-orphan

Dear Maintainer,

While reviewing some packages, your package came up as a package that
should maybe be orphaned by its maintainer, because:

* Out of date with upstream.
* Possibly inactive maintainer, last upload 2005. (Non-DD, not in MIA).
* Several un-acknowledged bugs.

If you think that it should be removed from Debian instead of being
orphaned, please reply to this bug and tell so.

If you disagree and want to continue to maintain this package, please
close this bug and do an upload also fixing the other issues.
Also, you can study the possibility of taking co-maintainers.

If you agree that it should be orphaned, send the following commands
to control@bugs.debian.org (replace nnnnnn with this bug's number):

severity nnnnnn normal
reassign nnnnnn wnpp
retitle nnnnnn O: <packagename> -- <short package description>
thanks

If you think it should be removed, send the following commands instead:

severity nnnnnn normal
reassign nnnnnn ftp.debian.org
retitle nnnnnn RM: <packagename> -- RoM; <reasons>
thanks

For more information, see
http://www.debian.org/doc/developers-reference/ch-pkgs.en.html#s-archive-manip
http://www.debian.org/devel/wnpp/


Thank you,

Barry deFreese
Debian QA






Severity set to 'normal' from 'important' Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Mon, 06 Aug 2012 20:51:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'bmon' to 'wnpp'. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Mon, 06 Aug 2012 20:51:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions bmon/2.0.1-3. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Mon, 06 Aug 2012 20:51:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: bmon -- portable bandwidth monitor and rate estimator' from 'bmon: Should this package be orphaned (or removed)?' Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Mon, 06 Aug 2012 20:51:05 GMT) Full text and rfc822 format available.

Owner recorded as Philipp Kern <pkern@debian.org>. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Mon, 06 Aug 2012 20:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Philipp Kern <pkern@debian.org>:
Bug#555213; Package wnpp. (Tue, 25 Dec 2012 18:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Philipp Kern <pkern@debian.org>. (Tue, 25 Dec 2012 18:24:06 GMT) Full text and rfc822 format available.

Message #20 received at 555213@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 555213@bugs.debian.org
Subject: bmon/3.0+git20110323-1
Date: Wed, 26 Dec 2012 05:21:43 +1100
[Message part 1 (text/plain, inline)]
For the record, I updated the package and committed the effort to

	http://git.debian.org/?p=collab-maint/bmon.git

Although Philipp Kern replied to my private email on 2012-12-04, as of now he 
didn't have a chance to review changes yet.

-- 
Regards,
Dmitry.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#555213; Package wnpp. (Fri, 28 Dec 2012 18:54:03 GMT) Full text and rfc822 format available.

Message #23 received at 555213@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Dmitry Smirnov <onlyjob@member.fsf.org>, 555213@bugs.debian.org
Subject: Re: Bug#555213: bmon/3.0+git20110323-1
Date: Fri, 28 Dec 2012 19:52:14 +0100
[Message part 1 (text/plain, inline)]
On Wed, Dec 26, 2012 at 05:21:43AM +1100, Dmitry Smirnov wrote:
> For the record, I updated the package and committed the effort to
> 
> 	http://git.debian.org/?p=collab-maint/bmon.git
> 
> Although Philipp Kern replied to my private email on 2012-12-04, as of now he 
> didn't have a chance to review changes yet.

Why aren't you keeping the package's source in git too? You also reference
just a git date, not a revision. It's a bit hard to review that misses the
actual upstream source. (Apart from the fact that if anything it should go
to experimental at this point.)

Kind regards
Philipp Kern
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Philipp Kern <pkern@debian.org>:
Bug#555213; Package wnpp. (Sat, 29 Dec 2012 05:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Philipp Kern <pkern@debian.org>. (Sat, 29 Dec 2012 05:18:03 GMT) Full text and rfc822 format available.

Message #28 received at 555213@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Philipp Kern <pkern@debian.org>
Cc: 555213@bugs.debian.org
Subject: Re: Bug#555213: bmon/3.0+git20110323-1
Date: Sat, 29 Dec 2012 16:14:13 +1100
[Message part 1 (text/plain, inline)]
Hi Philipp,

Thanks for having a look.

On Sat, 29 Dec 2012 05:52:14 Philipp Kern wrote:
> Why aren't you keeping the package's source in git too?

I don't like it and in most cases regard it as unnecessary.
I'm not a git-buildpackage addict and I prefer old school debian/* only 
repository layout to track packaging only. I prefer to track upstream source 
locally and IMHO it is redundant to have upstream sources in in public 
repository. I'll explain my reasons in greater details if you wish.
Having said the above I don't mind converting this package repository to git-
buildpackage layout and merge upstream source with packaging if it help you.

> You also reference just a git date, not a revision.

It's a deliberate choice. When you generate orig-tar using "debian/rules get-
orig-source" command it translate date to corresponding commit.
The benefits of having git date in version number is obvious: unlike 
meaningless revision number the date is human-readable which gives immediate 
impression of the date of upstream snapshot used to build the package.

> It's a bit hard to review that misses the actual upstream source.

Can't be that difficult really. It's the same as classic SVN packages' repos.
Just get upstream source with "debian/rules get-orig-source" and here you go.
You can even build with git-buildpackage if you like as long as you have 
upstream tarball in tarball-dir.

Some time ago I was able to build using git-buildpackage with the following 
.gbp.conf:
#####
    [DEFAULT]
    builder = pdebuild --debbuildopts "-i\.git -I.git $*"

    [git-buildpackage]
    tarball-dir = ../
#####


> (Apart from the fact that if anything it should go
> to experimental at this point.)

Indeed. I'm not sure if it's worth uploading to experimental at this point.
There is no rush, perhaps we could wait till release of Wheezy and then 
upload.

All the best,
Dmitry.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Philipp Kern <pkern@debian.org>:
Bug#555213; Package wnpp. (Thu, 28 Feb 2013 04:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Philipp Kern <pkern@debian.org>. (Thu, 28 Feb 2013 04:48:03 GMT) Full text and rfc822 format available.

Message #33 received at 555213@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 555213@bugs.debian.org
Subject: Fwd: Re: bmon: co-maintainership
Date: Thu, 28 Feb 2013 15:44:26 +1100
Control: owner -1 !

----------  Forwarded Message  ----------

Subject: Re: bmon: co-maintainership
Date: Sun, 24 Feb 2013, 02:24:19
From: Philipp Kern <pkern@debian.org>
To: Dmitry Smirnov <onlyjob@member.fsf.org>

Hi,

On Fri, Nov 02, 2012 at 03:41:58AM +1100, Dmitry Smirnov wrote:
> I've noticed your intention to adopt "bmon" package.
> With your kind permission I'd like to offer some help co-maintaining it.

feel free to take over the ITA.

Kind regards
Philipp Kern

-----------------------------------------



Owner changed from Philipp Kern <pkern@debian.org> to Dmitry Smirnov <onlyjob@member.fsf.org>. Request was from Dmitry Smirnov <onlyjob@member.fsf.org> to 555213-submit@bugs.debian.org. (Thu, 28 Feb 2013 04:48:03 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
You have taken responsibility. (Fri, 01 Mar 2013 02:51:28 GMT) Full text and rfc822 format available.

Notification sent to bdefreese@debian.org:
Bug acknowledged by developer. (Fri, 01 Mar 2013 02:51:28 GMT) Full text and rfc822 format available.

Message #40 received at 555213-close@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 555213-close@bugs.debian.org
Subject: Bug#555213: fixed in bmon 3.0+git20110323-1
Date: Fri, 01 Mar 2013 02:47:30 +0000
Source: bmon
Source-Version: 3.0+git20110323-1

We believe that the bug you reported is fixed in the latest version of
bmon, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 555213@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Smirnov <onlyjob@member.fsf.org> (supplier of updated bmon package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 28 Feb 2013 15:35:15 +1100
Source: bmon
Binary: bmon
Architecture: source amd64
Version: 3.0+git20110323-1
Distribution: unstable
Urgency: low
Maintainer: Dmitry Smirnov <onlyjob@member.fsf.org>
Changed-By: Dmitry Smirnov <onlyjob@member.fsf.org>
Description: 
 bmon       - portable bandwidth monitor and rate estimator
Closes: 347994 449522 496091 534823 555213 562118 615385
Changes: 
 bmon (3.0+git20110323-1) unstable; urgency=low
 .
   * New upstream version [March 2011]
     (Closes: #449522, #347994).
   * build with dh-autoreconf (Closes: #534823).
   * build with all hardening.
   * convert to debian source format 3.0 (quilt).
   * xz compression for .deb file(s) and Debian source.
   * dh/compat to version 9; standards to 3.9.4
   * debian/copyright to copyright-format-1.0 (Closes: #562118).
   * new maintainer (Closes: #555213).
   * new Homepage (Closes: #615385).
   * updated .menu file (Closes: #496091).
   * validated .desktop file.
   * get-orig-source to generate orig.tar.
   * new patch with manpage corrections (lintianisation).
   * added debian/watch.
   * added VCS links.
Checksums-Sha1: 
 038d48522ec0fc672f3ebb7e96b2280a277a0db3 1956 bmon_3.0+git20110323-1.dsc
 acd8437dad6641f26cdd849f9060e34c8a9ee03d 109924 bmon_3.0+git20110323.orig.tar.xz
 0baa5e1599720fba5dffb0d8a9ea7249b369c1fa 4900 bmon_3.0+git20110323-1.debian.tar.xz
 3d4cb5dc7769512891ea70a8fc9651314d1f5fda 47584 bmon_3.0+git20110323-1_amd64.deb
Checksums-Sha256: 
 6e98af02f9a7fa2bd7e604449898bcc40677d328ac5253e79c628d5838e787cc 1956 bmon_3.0+git20110323-1.dsc
 452f630e5e5ef1b0ab8c4eda4b51bd34fc06fb99dd5ad6d65267235b75cb9ae2 109924 bmon_3.0+git20110323.orig.tar.xz
 918b2aaff1f22b615b45f6f8fceb7066c61b1d9b03ff1742bdf036c0997f2999 4900 bmon_3.0+git20110323-1.debian.tar.xz
 1ff48d066238e7052488968e21a0523f0bc81e9215fea66ef3fbef6302d0c237 47584 bmon_3.0+git20110323-1_amd64.deb
Files: 
 d83c49f7b60664c59e23cf6d392c95fd 1956 net optional bmon_3.0+git20110323-1.dsc
 9b527be34298ddeadb248b86b1f7f53b 109924 net optional bmon_3.0+git20110323.orig.tar.xz
 c91451acea6c11c4506028bcadf15fad 4900 net optional bmon_3.0+git20110323-1.debian.tar.xz
 cd9406b1bf222d5a55dfacd638f34eb3 47584 net optional bmon_3.0+git20110323-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRMAymAAoJEHQmOzf1tfkTproQAJObnRNPvCNg+Slcv4qq3Y6d
O7lNU4VLgpXGqb8sUvEg5Lj3IytWBLSycTHTSOHlpFqWMpOhCvY6ARsFj6B+va82
Mcxa1J/XALfTlKd6tGGoVHGeVB+0R8hZs09mv/uBi/DoveO325q4KFKWIJw4vLMj
kPqpggY6yq+mwD4sdVAu3Btdd6BRAMThTRWy94k3aEqeJY6OlPedNHbpHHn73Cw9
MdsOlLflnkIxQVMqJCdrK2gXPMcHM3RdZNTfKpoA6EO3kSy/BvAeP9ZPgXYUtZZf
mgKvpxxwxTjmJmtJXjUfiJjvPzLXKRKKqdFOODyAiUjTRhjbNyyF6GM9u06d3/uF
Tnw0tAcsj4CzNgJm7axh85dRIRGd8+sSShOAmhVsBVk+it9jF98l+wHhjimyqU+h
+IEIhnn56H8xcseuubaWQUQ0HVtdHa5jTg7Er0e9MXwpVTUYpB21SiAcDkccsyKA
h9hKL0rcOFZRuf3jzg+sHZE9kRvuMTovASgcA1kU9NKF22y1GLLLYVhrJhabx0W0
9QCscsi4kYRqbwrpHrZ2qRT6XK4a5w3EkiHuZVLItHoGZeIzW++rkz5qulW2Ochv
8Xw4J/F/bqOihaUiozITGjLKZDHZ6y7GHjytm++y1Cv+w0fjxEqssIneTtbFKYbi
DVN+ViYBFahBWQiXj0Ge
=n4ro
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 29 Mar 2013 07:26:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:08:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.